<!DOCTYPE html>
<html>
<head>
    <!-- Vue map implementation with leaflet library-->
    <!-- https://travishorn.com/interactive-maps-with-vue-leaflet-5430527353c8 -->

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>cerca</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="./style.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>

    <!-- access to database via REST-->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>

    <!--maps support-->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css">

    <!-- SVILUPPO-->
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
    <!--PRODUZIONE -->
    <!-- <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script> -->
    <script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"></script>

    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.18.0/axios.js"></script> -->
    <!-- <script src="https://unpkg.com/vue"></script>  -->

    <!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script> -->
    <!-- <script src="./myvue.js"></script>  -->

    <!--- form validation-->
</head>
<body>
    <div class ="container-fluid">
    <!--carosel single images-->
    <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
          <div class="carousel-item active">
            <img class="d-block w-100" src="./img/a4f_banner_400.jpg" alt="banner">
          </div>
          <!-- <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Second slide">
          </div>
          <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Third slide">
          </div> -->
        </div>
      </div>
    </div>
    <!--banner-->
    <div id="banner" class="bg-5 container-fluid">app4food un pasto ed un incontro</h2>
	</div>
  <div class="container-fluid text-center">
    <div id="buttons" class="btn-group " role="group" aria-label="Basic example"> 
   <!-- <a class="btn btn-success" href="./index.html" role="button">Cerca</a> -->
   <!-- <a class="btn btn-info disabled" href="./map.html" role="button"> mappa</a> -->
   <a class="btn btn-info" href="./map.html" role="button"> mappa</a> 
   <a class="btn btn-info " href="./search.html" role="button"> cerca</a>
   <a class="btn btn-info" href="./form.html" role="button">inserisci</a>
   <a class="btn btn-info" href="./modify.html" role="button">modifica</a>
   <a class="btn btn-info" href="./delete.html" role="button">cancella</a>


   <!-- <a class="btn btn-info" href="./crea.html" role="button">info</a> --> 
   </div>
</div>

    <div class ="container-fluid" id="app">
        <!-- ricerca -->
        <h4>Cerca </h4>
        <div class ="input-group mb-3">
        <input type="text" class="form-control" id='myInput' v-model="filtra" @change="loadQuote" placeholder="filtra"> 
        <div class="input-group-append">
        <button class="btn btn-secondary" type="button" onclick="document.getElementById('myInput').value = ''">Clear input field</button>
        <!-- <button @click.prevent="loadQuote">filtra</button> -->
        <!--{{ status }} -->
        </div>
        </div>

        <!-- Lista -->
        <div>
        <template>
            <div class="container-fluid">
            <h3>Lista</h3>
            <div id="alert" class="alert alert-success" role="alert">  <b>filtra per: {{filtra}} <br> ordina per: {{currentSort}}, dir: {{currentSortDir}}</b></div>

            <table class="table">
            <thead>
            <tr>
            <th @click="sort('name')" scope="col">Nome</th>
            <th @click="sort('place')" scope="col">Luogo</th>
            <th @click="sort('need')" scope="col">Bisogno</th>
            <th @click="sort('note')" scope="col">Nota</th>
            <th scope="col">mappa</th>
            <th scope="col">Longitudine</th>
                      <!-- <th @click="sort('categoria')" scope="col">Categoria</th> -->
                      <!-- <th @click="sort('tipo_magazine')" scope="col">Magazine</th> -->
              </tr>
              </thead>
              <tbody v-for="riv in sortedList" v-bind:key="riv.id">
            <!-- <tr v-for="riv in sortedList" v-bind:key="riv.id">  -->
              <!-- <th scope="row"><a :href ="'/docs/' + riv.url_file">{{riv.name}}</a></th> -->
              <!-- <th scope="row">{{riv.titolo}}</th> -->
                    <tr><th @click="sort('name')" scope="col">Nome</th> <td>{{riv.name}}</td></tr>
                    <tr><th @click="sort('place')" scope="col">Luogo</th> <td>{{riv.place}}</td></tr>
                    <tr><th @click="sort('need')" scope="col">Bisogno</th> <td>{{riv.place}}</td></tr>
                  
                    <tr><th scope="col">mappa</th><td>{{riv.latitude}}, {{riv.longitude}}</td></tr>


                      
                      <!-- <td>{{riv.categoria}}</td> -->
                      <!-- <td>{{riv.tipo_magazine}}</td> -->
                    
                  </tbody>
            </table> 
          </template>
            </div>
    </div>
</div>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                status:[],
                filtra: 'Nico',
                currentSort:'name',
                currentSortDir:'asc'
            },
            methods: {
                loadQuote: function() {
                    //this.status = ;
                    axios.get('http://127.0.0.1/app4food-vue/api/homeless/search.php' , {params: {s:this.filtra}                 
                        }).then((res) => {
                            this.status = res.data.records;
                        }).catch((res) => {
                            this.status = 'Homeless non trovato';
                        })
                },
                sort:function(s) {
                    //if s == current sort, reverse
                    if(s === this.currentSort) {
                    this.currentSortDir = this.currentSortDir==='asc'?'desc':'asc';
                    }
                    this.currentSort = s;
                } 
            },
            computed:{
                sortedList:function() {
                    return this.status.sort((a,b) => {
                    let modifier = 1;
                    if(this.currentSortDir === 'desc') modifier = -1;
                    if(a[this.currentSort] < b[this.currentSort]) return -1 * modifier;
                    if(a[this.currentSort] > b[this.currentSort]) return 1 * modifier;
                    return 0;
                    });
                }
                },
            created: function() {
                this.loadQuote(),
                this.sort()
            }
        })
    </script>
</body>
</html>
  
</body>
</html>